Results 1 to 5 of 5

Thread: packagekit error - internal system error

  1. #1
    Zeals NNTP User

    Question packagekit error - internal system error

    Hi im getting continual internal system errors while trying to update my opensuse 11 system using the software update viewer/package kit app, example of errors im getting are below:-

    Can't provide file './rpm/i586/pulseaudio-module-zeroconf-0.9.10-26.3.i586.rpm' from repository 'openSUSE-11.0-Updates'

    Can't provide file './rpm/noarch/xorg-x11-fonts-7.3-70.2.noarch.rpm' from repository 'openSUSE-11.0-Updates'

    Can't provide file './rpm/noarch/xorg-x11-fonts-7.3-70.2.noarch.rpm' from repository 'openSUSE-11.0-Updates'

    It will happyily download and install for a while then get errors like the ones above.

    I have only just installed opensuse, been running it for a few days.

  2. #2

    Default Re: packagekit error - internal system error

    I was having the same issue. I am not sure if this is really the correct thing to do since I am a beginner but I re-instaelled opensuse and it seemed to correct the problem. In the process of trouble shooting if I turned off all repositories except for the Installation DVD the internal error would go away.

  3. #3
    Join Date
    Jun 2008
    Location
    Omaha, NE
    Posts
    526

    Default Re: packagekit error - internal system error

    Quote Originally Posted by Zeals View Post
    Hi im getting continual internal system errors while trying to update my opensuse 11 system using the software update viewer/package kit app, example of errors im getting are below:-

    Can't provide file './rpm/i586/pulseaudio-module-zeroconf-0.9.10-26.3.i586.rpm' from repository 'openSUSE-11.0-Updates'

    Can't provide file './rpm/noarch/xorg-x11-fonts-7.3-70.2.noarch.rpm' from repository 'openSUSE-11.0-Updates'

    Can't provide file './rpm/noarch/xorg-x11-fonts-7.3-70.2.noarch.rpm' from repository 'openSUSE-11.0-Updates'

    It will happyily download and install for a while then get errors like the ones above.

    I have only just installed opensuse, been running it for a few days.
    Sometimes when I'm in the middle of downloading packages, it just seems to lose connection. I abort, reopen YaST/Install Software, and then it works fine the next time.

    Also, one I ran into an issue where I started to download packages, and a few minutes later new versions were put on the repositories. So it wanted to download version x.y.z, and that file no longer existed but x.y.z.2 did. Again, backing out and then reopening YaST/Install Software fixed that as well.

  4. #4

    Question Re: packagekit error - internal system error

    Hi Guys I am having the same problem and it will not go way!

    A box keeps popping up

    packagekit error

    internal system error

    Can't provide file './suse/noarch/bundle-lang-gnome-cs-11.0-149.1.noarch.rpm' from repository 'openSUSE-DVD 11.0'

    any idea's?

  5. #5

    Default Re: packagekit error - internal system error

    OK it was "Driver" error IF I had taken time to understand the error message (Can't provide file './suse/noarch/bundle-lang-gnome-cs-11.0-149.1.noarch.rpm' from repository 'openSUSE-DVD 11.0') I would have realised the clue was in the last few characters.

    All I needed to do to fix the problem, was to put in the SUSE V11 DVD!!! not sure why it didn't just say "Insert the openSUSE-DVD 11.0" but I fixed it in the end!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •